Bug 336213 - Show the "type to search" hint every time kickoff is opened
Summary: Show the "type to search" hint every time kickoff is opened
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Application Launcher (Kickoff) (show other bugs)
Version: master
Platform: unspecified Linux
: NOR normal
Target Milestone: 1.0
Assignee: Sebastian Kügler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-14 12:18 UTC by Philipp Stefan
Modified: 2015-10-25 22:09 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Stefan 2014-06-14 12:18:24 UTC
When one opens Kickoff for the first time the session is started or unlocked a hind with the text "type to search" is shown, which fades out after a few seconds. If one opens kickoff again without locking&unlocking or reloading the session then this hint is not shown again. 

I think that this hint should be shown every time one opens Kickoff. If not, and the user (me) has no clue about this feature then they only see that something in the corner of their changed without having a clue what it was. It took me several times to find out what text was displayed, mainly because I could not make this hint reappear with closing and opening Kickoff again.
Comment 1 Sebastian Kügler 2014-06-17 01:33:33 UTC
Git commit 1b39f5d1a8d1f1f77c685863c73f591ec644de50 by Sebastian Kügler.
Committed on 17/06/2014 at 01:29.
Pushed by sebas into branch 'master'.

Alternate between system info and search hint

Instead of showing the search hint once, we now alternate between the
info and the hint once every 8 seconds.

Some people have complained that the hint is not clear enough for users
to discover the search feature. This change makes the "Type to
search..." hint more prominent.

M  +3    -2    applets/kickoff/package/contents/ui/Header.qml

http://commits.kde.org/plasma-desktop/1b39f5d1a8d1f1f77c685863c73f591ec644de50
Comment 2 Philipp Stefan 2014-06-26 06:31:39 UTC
Thank you for addressing this issue. 
Maybe you could improve the animation a bit by letting the label that's pushed away slowly fade out. Currently, when the hint change it is pushed away by the system info and then simply disappears. Maybe it would look better if it slowly faded out while being pushed away.
Comment 3 hannu.alamaki 2015-10-25 22:09:37 UTC
Please reconsider the search and hint implementation from usability perspective. 

Is info text username@hostname something that really needs to be shown? If so, then shouldn't it be shown all the time. Combining it with the search hint makes no sense and puts the minimalistic visual design before usability. It makes both pieces of information hard to get and introduces a distracting animation.

Another thing I'd like to point out is that the search function would have zero discoverability issues, if it was always shown as a text field with a blinking cursor and 'Seach' as placeholder text.  Showing only a hint label until user starts to type is, again, putting minimalistic visual design before usability.